Bug 19243 - [g45] SpecViewPerf10/ugnx-01 Segmentation fault
[g45] SpecViewPerf10/ugnx-01 Segmentation fault
Status: VERIFIED NOTOURBUG
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965
unspecified
x86-64 (AMD64) Linux (All)
: medium major
Assigned To: haihao
:
Depends on:
Blocks: intel-3d-release
  Show dependency treegraph
 
Reported: 2008-12-22 18:18 UTC by lin, jiewen
Modified: 2009-10-27 19:33 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
log (43.36 KB, text/plain)
2008-12-22 18:18 UTC, lin, jiewen
Details
conf (3.77 KB, text/plain)
2008-12-22 18:19 UTC, lin, jiewen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description lin, jiewen 2008-12-22 18:18:41 UTC
Created attachment 21419 [details]
log

System Environment:
--------------------------
--Platform: G45
--Architecture(32-bit,64-bit,compatiblity): 64-bit
--2D driver:
(xf86-video-intel-2.6-branch)83f3c376b5942e134047a220e6e5f2432ffc492c
--3D driver: (intel-2008-q4)f96baeaac3ef41260ac3975750627ece073fdce0
--DRM: shipped with kernel 2.6.28-rc8-for-airlied
--libdrm: (master)0243c9f801a35de3465a0321c02f18a4d07ce5b8
--Xserver:  (server-1.6-branch)32e81074b967716865aef08b66ec29caf0fec2c5
--Kernel: 2.6.28-rc8-for-airlied

Bug detailed description:
--------------------------
start X and run SpecViewPerf, after it run the viewset grabs/test11full.png, it quit with a segmentation fault. following is the output:
 
Writing PNG file '../../viewperf/viewperf10.0/results/ugnx-01/grabs/test10full.png'...done.
libGL: XF86DRIGetClientDriverName: 1.9.0 i965 (screen 0)
libGL: OpenDriver: trying /opt/X11R7/lib/dri/i965_dri.so
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 6, (OK)
drmOpenByBusid: Searching for BusID pci:0000:00:02.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 6, (OK)
drmOpenByBusid: drmOpenMinor returns 6
drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0
GetXEnvironInfo: no window set
vpGrabScreen
Writing PNG file '../../viewperf/viewperf10.0/results/ugnx-01/grabs/test11small.png'...done.
vpGrabScreen
Writing PNG file '../../viewperf/viewperf10.0/results/ugnx-01/grabs/test11full.png'...done.
GetXEnvironInfo: no window set
Segmentation fault

Reproduce steps:
----------------
1. xinit &
2. ./Run_All.csh
Comment 1 lin, jiewen 2008-12-22 18:19:34 UTC
Created attachment 21420 [details]
conf
Comment 2 Gordon Jin 2008-12-22 22:41:43 UTC
Actually this is an old issue, and it's case bug. See bug#10658.
Comment 3 lin, jiewen 2008-12-22 23:14:35 UTC
(In reply to comment #2)
> Actually this is an old issue, and it's case bug. See bug#10658.
> 
It seems not. It works well until the last line "
$viewperf -generateScore -viewset "ugnx-01" -versionpath $1" is ran. Following is the run script.
################
$viewperf -viewset "ugnx-01" -versionpath $1 -testnum 7 -weight 9.0 -dl -mh EngineCooling-shaded+6lights $commonOptions -grab grab.scr -alternateShareFile 2 -alternatePackFile 1 -ignoreExtraLists
$viewperf -viewset "ugnx-01" -versionpath $1 -testnum 8 -weight 9.0 -dl -mh bodyparts-wireframe+linesmooth $commonOptions -grab grab.scr -alternateShareFile 1
$viewperf -viewset "ugnx-01" -versionpath $1 -testnum 9 -weight 9.0 -dl -mh bodyparts-shaded $commonOptions -grab grab.scr -alternateShareFile 1
$viewperf -viewset "ugnx-01" -versionpath $1 -testnum 10 -weight 9.0 -dl -mh bodyparts-shaded+edges $commonOptions -grab grab.scr -alternateShareFile 1
$viewperf -viewset "ugnx-01" -versionpath $1 -testnum 11 -weight 10.0 -dl -mh bodyparts-shaded+6lights $commonOptions -grab grab.scr -alternateShareFile 1
$viewperf -generateScore -viewset "ugnx-01" -versionpath $1
################
And the bt info:
Current language:  auto; currently asm
(gdb) bt
#0  glPixelStorei () at ../../../src/mesa/x86-64/glapi_x86-64.S:8947
#1  0x000000000040942d in myCreateFont ()
#2  0x0000000000418b44 in main ()



ã


Comment 4 haihao 2009-03-04 22:58:46 UTC
Case issue. 
totalNumVertices is 4 and SUB_STROKEMAX is 20 in this case. It results in invalid write (please see  vierperf.c lines 11324-11375).

Comment 5 Gordon Jin 2009-03-04 23:01:18 UTC
Shuang, please follow up this case issue.
Comment 6 liuhaien 2009-03-05 19:14:01 UTC
(In reply to comment #4)
> Case issue. 
> totalNumVertices is 4 and SUB_STROKEMAX is 20 in this case. It results in
> invalid write (please see  vierperf.c lines 11324-11375).
> 

Ok, I had a look, found the symptom is exactly like the reporter stated. but seems this segment fault is from SpecViewPerf10 itself. at this line in file viewsets/ugnx-01/ugnx-01.csh (It seems it's used to generate a score for this case):
$viewperf -generateScore -viewset "ugnx-01" -versionpath $1

So I will agree to mark it as not our bug, verified.
Comment 7 liuhaien 2009-03-05 19:19:59 UTC
Oh, just debug a bit. seems it's still a issue with mesa, see the backtrace:

(gdb) bt
#0  glPixelStorei () at ../../../src/mesa/x86-64/glapi_x86-64.S:8947
#1  0x000000000040945d in myCreateFont ()
#2  0x0000000000418b24 in main ()

I'd have to reopen it.
Comment 8 haihao 2009-10-27 18:36:28 UTC
Shuang, does this issue still exist? 
It should be a case issue, the stack is destroyed by viewperf.
Comment 9 Shuang He 2009-10-27 19:32:54 UTC
(In reply to comment #8)
> Shuang, does this issue still exist? 
> It should be a case issue, the stack is destroyed by viewperf.
> 

It still happen. I agree with you that it's a case issue. so close it.
Comment 10 Shuang He 2009-10-27 19:33:09 UTC
verified